Create flow task

Create flow task. See the OpenAPI-defined parameters, request body, and responses below.

POST /FlowTask

Create flow task. See the OpenAPI-defined parameters, request body, and responses below.

Authentication

Authentication required. Send your user API key in the X-API-Key header.

Parameters

This operation has no path, query, or header parameters.

Request body

Content type: application/json · Schema: FlowTaskDto

PropertyTypeRequiredDescriptionConstraints
idinteger · int32No——
flowIdinteger · int32No——
currentFlowStageIdinteger · int32No——
titlestringNo—nullable
descriptionstringNo—nullable
statusFlowTaskStatusNo——
priorityinteger · int32No——
payloadstringNo—nullable
dueDatestring · date-timeNo—nullable
createdAtstring · date-timeNo—nullable
createdByinteger · int32No——
completedAtstring · date-timeNo—nullable
canceledAtstring · date-timeNo—nullable
flowRecurringTaskIdinteger · int32No—nullable
recurringOccurrenceAtUtcstring · date-timeNo—nullable
scheduledOccurrenceAtUtcstring · date-timeNo—nullable

Example request

curl --request POST \
  --url 'https://api.zild.ai/FlowTask' \
  --header 'X-API-Key: YOUR_USER_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "id": 0,
  "flowId": 0,
  "currentFlowStageId": 0,
  "title": "string",
  "description": "string",
  "status": 0,
  "priority": 0,
  "payload": "string",
  "dueDate": "2026-09-22T18:00:00Z",
  "createdAt": "2026-09-22T18:00:00Z",
  "createdBy": 0,
  "completedAt": "2026-09-22T18:00:00Z",
  "canceledAt": "2026-09-22T18:00:00Z",
  "flowRecurringTaskId": 0,
  "recurringOccurrenceAtUtc": "2026-09-22T18:00:00Z",
  "scheduledOccurrenceAtUtc": "2026-09-22T18:00:00Z"
}'

Responses

StatusDescriptionResponse body
200OKNo response body is defined.

Data models

FlowTaskDto
PropertyTypeRequiredDescriptionConstraints
idinteger · int32No——
flowIdinteger · int32No——
currentFlowStageIdinteger · int32No——
titlestringNo—nullable
descriptionstringNo—nullable
statusFlowTaskStatusNo——
priorityinteger · int32No——
payloadstringNo—nullable
dueDatestring · date-timeNo—nullable
createdAtstring · date-timeNo—nullable
createdByinteger · int32No——
completedAtstring · date-timeNo—nullable
canceledAtstring · date-timeNo—nullable
flowRecurringTaskIdinteger · int32No—nullable
recurringOccurrenceAtUtcstring · date-timeNo—nullable
scheduledOccurrenceAtUtcstring · date-timeNo—nullable
FlowTaskStatus

0 = Pending; 1 = InProgress; 2 = Completed; 3 = Canceled

integer